#######################################################################
#                                Type                                 #
#######################################################################


struct DraggedArtificialViscosity{T_AV<:AbstractArtificialViscosity} <: AbstractArtificialViscosity
  av::T_AV
  drag::Float64
end


#######################################################################
#                               Methods                               #
#######################################################################


function drag(mu, mu_m1, av::DraggedArtificialViscosity)
  @. mu = (1-drag)*mu + drag*mu_m1
end
